class MaintenanceAction {

    TaskProcedure taskProcedure
    MaintenancePolicy maintenancePolicy
    Section section
    Asset asset
    AssetSubItem assetSubItem

    String description
    String reasoning = ""
    Integer procedureStepNumber

    boolean deleted
    static transients = [ 'deleted' ]

//     static hasMany = []

    static belongsTo = [TaskProcedure]

    static constraints = {
        section(nullable:true)
        asset(nullable:true)
        assetSubItem(nullable:true)
        maintenancePolicy(nullable:true)
        procedureStepNumber(nullable:true)
        description(blank:false)
        reasoning()
    }

    String toString() {
        "${this.description}"
    }
}

